org.icepush

## Class PushConfiguration

- java.lang.Object
- - org.icepush.PushConfiguration

- All Implemented Interfaces:
    java.io.Serializable

      public class PushConfiguration
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushConfiguration()` Constructs a new PushConfiguration.
    `PushConfiguration(java.util.Map<java.lang.String,java.lang.Object> attributes)` Constructs a new PushConfiguration with the specified `attributes`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PushConfiguration` | `delayed(long delay, long duration)`
    `boolean` | `equals(java.lang.Object object)`
    `static PushConfiguration` | `fromRequest(javax.servlet.http.HttpServletRequest request)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getAttributes()` Gets the attributes of this PushConfiguration.
    `long` | `getDuration()`
    `long` | `getScheduledAt()`
    `int` | `hashCode()`
    `PushConfiguration` | `scheduled(java.util.Date time, long duration)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PushConfiguration

          public PushConfiguration()

      Constructs a new PushConfiguration.

      See Also:
        `PushConfiguration(Map)`

    - #### PushConfiguration

          public PushConfiguration(java.util.Map<java.lang.String,java.lang.Object> attributes)

      Constructs a new PushConfiguration with the specified `attributes`.

      Parameters:
        `attributes` - The attributes of the new PushConfiguration to be constructed.
      See Also:
        `PushConfiguration(java.util.Map<java.lang.String, java.lang.Object>)`

  - ### Method Detail

    - #### getAttributes

          public java.util.Map<java.lang.String,java.lang.Object> getAttributes()

      Gets the attributes of this PushConfiguration.

      Returns:
        The attributes.

    - #### delayed

          public PushConfiguration delayed(long delay,
                                           long duration)

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### fromRequest

          public static PushConfiguration fromRequest(javax.servlet.http.HttpServletRequest request)

    - #### scheduled

          public PushConfiguration scheduled(java.util.Date time,
                                             long duration)

    - #### getScheduledAt

          public long getScheduledAt()

    - #### getDuration

          public long getDuration()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2025 ICEsoft Technologies Canada Corp., All Rights Reserved.